Skip to content
Changelog

Report a bug

Postman integration: operations for AI agents

Postman connects to Type.com as an integration. This page lists the 290 operations documented for Claude and Codex in Type.com: 132 read, 84 write, 74 destructive.

About Postman

Postman is an API platform for building, testing, and managing APIs with powerful collaboration features.

Categories: Developer Tools & IT

How to connect Postman to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

290 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

290 operations listed.

Analytics

  • Read

    Get analytics data

    Gets analytics data based on the specified resource, metrics, and given filters for team, internal, and public workspaces, as well as Partner Workspaces.

  • Read

    Get analytics metadata

    Returns a catalog of analytics resources and their corresponding metrics for use with the GET /analytics endpoint. These metrics provide insights on API usage, success, workspace, and team trends in Postman.

API Catalog

  • Read

    Get discovered services

    Gets a list of all discovered services in the API Catalog.

  • Read

    Get a discovered service's information

    Gets detailed information about a discovered service, including a base64-encoded OpenAPI specification and an array of endpoints.

  • Read

    Get all services

    Gets a list of services in a system environment. The response includes details about analytics, compliance, and governance metadata.

  • Read

    Get a service by ID

    Gets information about a service, including its health, traffic, compliance, ownership, and dependencies.

  • Read

    Get a service's endpoints

    Get a list of observed API endpoints for a service and its performance metrics.

  • Read

    Get a service's monitor runs

    Gets a list of scheduled monitor runs for a service that includes summary statistics.

  • Read

    Get a service's specification lints

    Gets a list of API specification lint runs for a service that includes summary statistics and per-severity issue counts.

  • Read

    Get a service's CI runs

    Gets a list of CI collection runs for a service that includes summary statistics, pipeline details, and Git metadata.

  • Read

    Get all system environments

    Gets all of the authenticated team's system environments.

  • Read

    Get a system environment

    Gets information about a system environment.

  • Read

    Get a system environment's associations

    Gets the workspace-environment associations for a system environment.

  • Write

    Add discovered services to the API Catalog

    Adds discovered services to the API Catalog. Accepts up to 20 services in a single call.

  • Write

    Create a system environment

    Creates a system environment for the authenticated team.

  • Write

    Update a system environment

    Updates a system environment's information. You can update one or more fields in a single call. Note: If you update the name, it must be unique within the team.

  • Write

    Add system environment associations

    Adds workspace-environment associations to a system environment.

  • Destructive

    Remove system environment associations

    Removes workspace-environment associations from a system environment.

API Governance

  • Write

    API definition validation

    Performs an analysis on the given definition and returns any issues based on your predefined rulesets. This endpoint can help you understand the violations' impact and offers solutions to help you resolve any errors.

Audit Logs

  • Read

    Get team audit logs

    Gets a list of your team's generated audit events. For a complete list of all audit events, see Audit logs.

  • Read

    Get all audit log event actions

    Gets a complete list of all available audit log event actions.

Billing

  • Read

    Get accounts

    Gets Postman billing account details for the given team.

  • Read

    List account invoices

    Gets all invoices for a Postman billing account filtered by the status of the invoice.

Collections

  • Read

    Get collection access keys

    Gets the authenticated user's personal and team collection access keys. Note: - The expiresAfter property in the response represents the date and time at which the access key expires. Collection access keys are valid for 60 days. If unused, the access key expires after 60 days.

  • Read

    Get a collection's comments

    Gets all comments left by users in a collection.

  • Read

    Get a collection's forks

    Gets a collection's forked collections. The response returns data for each fork, such as the fork's ID, the user who forked it, and the fork's creation date.

  • Read

    Get source collection's status

    Checks whether there is a change between the forked collection and its parent (source) collection. If the value of the isSourceAhead property is true in the response, then there is a difference between the forked collection and its source collection.

  • Read

    Get all forked collections

    Gets a list of all the authenticated user's forked collections.

  • Read

    Get merge or pull task status

    Gets the status of a collection's merge or a pull changes task. Note: After a merge's success or failure, the task's status is only available for a period of 24 hours. Afterwards, this endpoint returns an HTTP 404 Not Found response.

  • Read

    Get a folder's comments

    Gets all comments left by users in a folder.

  • Read

    Get a folder

    Gets information about a folder in a collection.

  • Read

    Get a request's comments

    Gets all comments left by users in a request.

  • Read

    Get a request

    Gets information about a request in a collection.

  • Read

    Get a response's comments

    Gets all comments left by users in a response.

  • Read

    Get a response

    Gets information about a response in a collection.

  • Read

    Get a collection's pull requests

    Gets information about a collection's pull requests, such as the source and destination IDs, status of the pull requests, and a URL link to the pull requests.

  • Read

    Transform collection to OpenAPI

    Transforms an existing Postman Collection into a stringified OpenAPI definition. Note: This does not create an API.

  • Read

    Get a collection's roles

    Gets information about all roles in a collection. The response returns the IDs of all users, teams, and groups with access to view or edit the collection.

  • Read

    Get a collection's tags

    Gets all the tags associated with a collection.

  • Read

    Get a collection

    Gets information about a collection. For a complete list of this endpoint's possible values, use the collection.json schema file.

  • Read

    Get all collections

    Gets all of your collections. The response includes all of your subscribed collections. Note: - It's recommended that you use pagination with this endpoint. Pagination improves endpoint performance. Unpaginated calls are considered deprecated and are subject to change.

  • Read

    Get duplication task status

    Gets the status of a collection duplication task.

  • Read

    Get async collection update status

    Gets the status of an asynchronous collection update task.

  • Write

    Create a collection comment

    Creates a comment on a collection. Note: This endpoint accepts a max of 10,000 characters.

  • Write

    Create a fork

    Creates a fork from an existing collection into a workspace.

  • Write

    Create a folder comment

    Creates a comment on a folder. Note: This endpoint accepts a max of 10,000 characters.

  • Write

    Create a folder

    Creates a folder in a collection. For a complete list of properties and information, see the Postman Collection Format documentation. You can use this endpoint to to import requests and responses into a newly-created folder.

  • Write

    Create a request comment

    Creates a comment on a request. Note: This endpoint accepts a max of 10,000 characters.

  • Write

    Create a request

    Creates a request in a collection. For a complete list of properties and information, see the Postman Collection Format documentation. Note: - This request uses example values in the request body for context when creating detailed collection requests.

  • Write

    Create a response comment

    Creates a comment on a response. Note: This endpoint accepts a max of 10,000 characters.

  • Write

    Create a response

    Creates a request response in a collection. For a complete list of properties and information, see the Postman Collection Format documentation. Note: - This request uses example values in the request body for context when creating detailed collection responses.

  • Write

    Create a pull request

    Creates a pull request for a forked collection into its parent collection.

  • Write

    Transfer folders

    Copies or moves folders into a collection or folder.

  • Write

    Transfer requests

    Copies or moves requests into a collection or folder.

  • Write

    Transfer responses

    Copies or moves responses into a request.

  • Write

    Update a collection's roles

    Updates the roles of users, groups, or teams in a collection. On success, this returns an HTTP 204 No Content response. Note: - Only users assigned the EDITOR role in the collection can use this endpoint. - This endpoint does not support the external Partner or Guest roles.

  • Write

    Create a collection

    Creates a collection. For a complete list of properties and information, see the Postman Collection Format documentation. Note: - This request uses example values in the request body for context when creating a collection.

  • Write

    Duplicate a collection

    Creates a duplicate of the given collection in another workspace. Use the GET /collection-duplicate-tasks/{taskId} endpoint to get the duplication task's current status.

  • Write

    Update part of a collection

    Updates specific collection information, such as its authentication, name, events, or variables. For a complete list of properties and information, see the Postman Collection Format documentation.

  • Destructive

    Delete a collection access key

    Deletes a collection access key. To get a collection access key's ID, use the GET /collection-access-key endpoint. On success, this returns an HTTP 204 No Content response.

  • Destructive

    Update a collection's comment

    Updates a comment on a collection. Note: This endpoint accepts a max of 10,000 characters.

  • Destructive

    Delete a collection's comment

    Deletes a comment from a collection. On success, this returns an HTTP 204 No Content response. Note: Deleting the first comment of a thread deletes all the comments in the thread.

  • Destructive

    Publish documentation

    Publishes a collection's documentation. This makes it publicly available to anyone with the link to the documentation. Note: - Your Postman plan impacts your use of these endpoints: - For Free and Solo users, you must have permissions to edit the collection.

  • Destructive

    Unpublish documentation

    Unpublishes a collection's documentation.

  • Destructive

    Pull source changes

    Pulls the changes from a parent (source) collection into the forked collection. In the endpoint's response: - The destinationId is the ID of the forked collection. - The sourceId is the ID of the source collection.

  • Destructive

    Merge or pull changes into a collection fork

    Merges a forked (source) collection and its parent (destination) collection asynchronously. To pull changes into a fork, pass the forked collection's ID as the destination value and the parent collection ID as the source value.

  • Destructive

    Update a folder's comment

    Updates a comment on a folder. Note: This endpoint accepts a max of 10,000 characters.

  • Destructive

    Delete a folder's comment

    Deletes a comment from a folder. On success, this returns an HTTP 204 No Content response. Note: Deleting the first comment of a thread deletes all the comments in the thread.

  • Destructive

    Update a folder

    Updates a folder in a collection. For a complete list of properties and information, see the Postman Collection Format documentation. Note: - This request uses example values in the request body for context when updating collection folders.

  • Destructive

    Delete a folder

    Deletes a folder in a collection.

  • Destructive

    Update a request's comment

    Updates a comment on a request. Note: This endpoint accepts a max of 10,000 characters.

  • Destructive

    Delete a request's comment

    Deletes a comment from a request. On success, this returns an HTTP 204 No Content response. Note: Deleting the first comment of a thread deletes all the comments in the thread.

  • Destructive

    Update a request

    Updates a request in a collection. For a complete list of properties and information, see the Postman Collection Format documentation. Note: - This request uses example values in the request body for context when updating collection requests.

  • Destructive

    Delete a request

    Deletes a request in a collection.

  • Destructive

    Update a response's comment

    Updates a comment on a response. Note: This endpoint accepts a max of 10,000 characters.

  • Destructive

    Delete a response's comment

    Deletes a comment from a response. On success, this returns an HTTP 204 No Content response. Note: Deleting the first comment of a thread deletes all the comments in the thread.

  • Destructive

    Update a response

    Updates a response in a collection. For a complete list of properties and information, see the Postman Collection Format documentation. Note: - This request uses example values in the request body for context when updating collection responses.

  • Destructive

    Delete a response

    Deletes a response in a collection. On success, this returns an HTTP 204 No Content response.

  • Destructive

    Update a collection's tags

    Updates a collection's associated tags. This endpoint replaces all existing tags with those you pass in the request body. Note: - You can only add a maximum of five tags to a collection. - Tags must be between 2 and 64 characters long.

  • Destructive

    Delete a collection

    Deletes a collection.

  • Destructive

    Replace a collection's data

    Replaces the contents of a collection. Include the collection's ID values in the request body. If you do not, the endpoint removes the existing items and creates new items. - For a complete list of properties and information, see the Postman Collection Format documentation.

  • Destructive

    Replace collection's data asynchronously

    Replaces the contents of a collection asynchronously. Include the collection's ID values in the request body. If you do not, the endpoint removes the existing items and creates new items.

Comments

  • Write

    Resolve a comment thread

    Resolves a comment and any associated replies. On success, this returns an HTTP 204 No Content response. Comment thread IDs return in the GET /comments response for collections and collection items.

Components

  • Read

    Get a component draft

    Gets information about the current working draft of a component, including its content and format. Drafts represent the latest unpublished edits of a component, which may be different from the most recently published version.

  • Read

    Get all component versions

    Gets a list of a component's published versions.

  • Read

    Get a component version

    Gets a published version of a component.

  • Read

    Get all components

    Gets a list of all components in the team's component library.

  • Read

    Get a component

    Gets information about a component. Use the include and expand query parameters to return additional information, such as hasVersions and the latest published version.

  • Write

    Update a component draft

    Updates a component's draft. Component drafts contain unpublished edits to a component, which may be different from a recently published version. Note: You can't update archived components.

  • Write

    Create a component version

    Publishes a new version of a component from the current draft. Note: You can't publish a new version of an archived component. Unarchive the component before publishing a new version.

  • Write

    Create a component

    Creates a new component. The component is created in an active state with an initial draft. Use the POST /components/{componentId}/versions endpoint to publish a version.

  • Write

    Update a component

    Updates a component: - name — Rename the component. The new name must be unique within the team. Archived components can't be renamed. - status — Changes the component's lifecycle state: - archive — Marks the component as read-only.

Environments

  • Read

    Get an environment's forks

    Gets all of an environment's forked environments.

  • Read

    Get an environment

    Gets information about an environment.

  • Read

    Get all environments

    Gets information about all of your environments.

  • Write

    Create a fork

    Creates a fork from an existing environment into a workspace.

  • Write

    Pull source changes

    Pulls the changes from a parent (source) environment into the forked environment.

  • Write

    Merge a fork

    Merges a forked environment back into its parent environment.

  • Write

    Create an environment

    Creates an environment. Note: - The request body size cannot exceed the maximum allowed size of 30MB. - If you receive an HTTP 411 Length Required error response, manually pass the Content-Length header and its value in the request header.

  • Write

    Update an environment

    Updates specific environment properties, such as its name and variables. Note: - You can only perform one type of operation at a time. For example, you cannot perform an add and replace operation in the same call.

  • Destructive

    Delete an environment

    Deletes an environment.

  • Destructive

    Replace an environment's data

    Replaces all the contents of an environment with the given information. Note: - The request body size cannot exceed the maximum allowed size of 30MB.

Import

  • Write

    Import an OpenAPI definition

    Imports an OpenAPI definition into Postman as a new Postman Collection. Note: - This endpoint has a rate limit of 10 requests per 10 seconds. - The Postman web app does not support the file input method type.

Mocks

  • Read

    Get a mock server's call logs

    Gets a mock server's call logs. You can get a maximum of 6.5MB of call logs or a total of 100 call logs, whichever limit is met first in one API call. Call logs contain exchanged request and response data made to mock servers.

  • Read

    Get a server response

    Gets information about a server response.

  • Read

    Get all server responses

    Gets all of a mock server's server responses.

  • Read

    Get a mock server

    Gets information about a mock server.

  • Read

    Get all mock servers

    Gets all active mock servers. By default, this endpoint returns only mock servers you created across all workspaces. Note: If you pass both the teamId and workspace query parameters, this endpoint only accepts the workspace query.

  • Write

    Create a server response

    Creates a server response. Server responses let you simulate 5xx server-level responses, such as 500 or 503. Server-level responses are agnostic to application-level logic. Server responses let you simulate this behavior on a mock server.

  • Write

    Create a mock server

    Creates a mock server in a collection. Note: - You cannot create mocks for collections added to an API definition. - If you do not include the workspaceId query parameter, the system creates the mock server in the oldest personal Internal workspace you own.

  • Write

    Publish a mock server

    Publishes a mock server. Publishing a mock server sets its Access Control configuration setting to public.

  • Destructive

    Update a server response

    Updates a mock server's server response.

  • Destructive

    Delete a server response

    Deletes a mock server's server response.

  • Destructive

    Delete a mock server

    Deletes a mock server.

  • Destructive

    Unpublish a mock server

    Unpublishes a mock server. Unpublishing a mock server sets its Access Control configuration setting to private.

  • Destructive

    Update a mock server

    Updates a mock server's properties, such as its name or collection.

Monitors

  • Read

    Get all runner instances

    Gets all instances of the runner polling Postman for upcoming monitor runs. Instances are runner executions that share the same runner ID and key. Note: You can get a runner's ID in the Postman UI if you have an Admin or Super Admin role.

  • Read

    Get runner metrics

    Gets the Postman server-side metrics for a runner instance. Metrics include information such as monitor run queues and last polling date. Note: You can get a runner's ID in the Postman UI if you have a Team Admin or Super Admin role.

  • Read

    Get all monitors

    Gets all monitors.

  • Read

    Get a monitor

    Gets information about a monitor.

  • Write

    Create a monitor

    Creates a monitor. Note: - You cannot create monitors for collections added to an API definition. - If you do not include the workspace query parameter, the system creates the monitor in the oldest personal Internal workspace you own.

  • Write

    Run a monitor

    Runs a monitor and returns its run results. Note: - If you pass the async=true query parameter, the response does not return the stats, executions, and failures responses. To get this information for an asynchronous run, call the GET /monitors/{id} endpoint.

  • Destructive

    Delete a monitor

    Deletes a monitor.

  • Destructive

    Update a monitor

    Updates a monitor.

Packages

  • Read

    Get all packages

    Gets all active packages available to the authenticated user. Note: Script content isn't included in response.

  • Read

    Get a package

    Gets an active package's metadata and its current index script content.

  • Write

    Create a package

    Creates a package and its index script as a Postman Package Library resource.

  • Write

    Update a package

    Updates a package's description and/or index script content.

  • Destructive

    Delete a package

    Deletes the package and its associated index script content. On success, this returns an HTTP 204 No Content response. Note: The endpoint returns an HTTP 204 No Content response even if the package no longer exists.

OAuth 2.0

  • Write

    Generate an OAuth Token

    Generates an OAuth 2.0 access token for a client application using the clientcredentials grant type. Use this endpoint with backend services or bots to authenticate and authorize API requests without user interaction. Note: This endpoint uses Basic Auth.

  • Destructive

    Revoke an OAuth Token

    Revokes an active OAuth 2.0 access token and prevents further use of it for authentication. Once revoked, the token can't be used for any API requests. Note: Revocation of an OAuth token is immediate and can't be undone.

Private API Network

  • Read

    Get all add requests

    Gets all requests to add workspaces to your team's Private API Network.

  • Read

    Get all workspaces

    Gets information workspaces added to your team's Private API Network.

  • Write

    Add a workspace

    Publishes a workspace in your team's Private API Network.

  • Destructive

    Respond to an add request

    Responds to a user's request to add a workspace to your team's Private API Network. Only managers can approve or deny a request. Once approved, the workspace will appear in the team's Private API Network.

  • Destructive

    Remove a workspace

    Removes a workspace from your team's Private API Network. Note: Removing a workspace does not delete it. It only removes it from the Private API Network folder.

Pull Requests

  • Read

    Get a pull request

    Gets information about a pull request, such as the source and destination details, who reviewed the pull request, the merge's current status, and whether the element is accessible.

  • Write

    Review a pull request

    Updates the review status of a pull request.

  • Destructive

    Update a pull request

    Updates an open pull request.

SCIM

  • Read

    Get a user

    Gets information about a Postman team member.

  • Read

    Get all users

    Gets information about all Postman team members.

  • Read

    Get all groups

    Gets all Postman groups within the team.

  • Read

    Get a group

    Gets information about a Postman group within the team.

  • Read

    Get resource types

    Gets all the resource types supported by Postman's SCIM API.

  • Read

    Get service provider configuration

    Gets the Postman SCIM API configuration information. This includes a list of supported operations.

  • Write

    Create a user

    Creates a new user account in Postman and adds the user to your organization's Postman team. - If the account does not exist, this also activates the user so they can authenticate in to your Postman team.

  • Write

    Update a user

    Updates a user in Postman. Reactivating users By setting the active property from false to true, this reactivates an account. This allows the account to authenticate in to Postman and adds the account back on to your Postman team.

  • Write

    Update a group

    Updates a group's information. Using this endpoint you can: - Update a group's name. - Add or remove members from a Postman group.

  • Write

    Create a group

    Creates a new user group in Postman and creates a new account for each group member. Each account is added to your Postman team and authentication is activated for each user.

  • Destructive

    Update a user

    Updates a user in Postman. Reactivating users By setting the active property from false to true, this reactivates an account. This allows the account to authenticate in to Postman and adds the account back on to your Postman team.

  • Destructive

    Delete a group

    Deletes a group in Postman. On success, this returns an HTTP 204 No Content response. User accounts that were in the deleted group are deactivated in Postman if the app is assigned to the user only with the deleted group.

SDKs

  • Read

    Get all SDK Git connections

    Gets all Git repository connections the authenticated user has access to in the given workspace. Each connection links one Postman Collection or specification and one SDK language to a target Git repository.

  • Read

    Get an SDK Git connection

    Gets information about an SDK's Git connection. The response includes the SDK currently sent to the targetBranch and the most recent SDK-update pull request.

  • Read

    Get an SDK Git connection's pull requests

    Lists all SDK update pull requests for the Git connection, in order of newest first by its updatedAt property. Note: Direct push requests to the base branch are not returned in the response if a Git connection is configured to push only some changes directly to a base branch.

  • Read

    Get all SDKs

    Lists all SDKs the authenticated user has access to. Note: - Use the sdkIds parameter to get the generation build status of multiple SDKs in a single call.

  • Read

    Get an SDK

    Returns information about the SDK, including the current build job status.

  • Read

    Get an SDK's download URL

    Gets a short-lived signed URL for the generated SDK archive (zip). The generated URL is created on demand and expires within a few minutes. Note: The API doesn't stream the archive directly to keep responses small and predictable.

  • Write

    Connect a Git respository to an SDK

    Connects a Postman source element (collection or specification) to a Git repository for one SDK language. This creates a new connection in the active state. Note: - Each source and language pair maps to a single connection.

  • Write

    Generate an SDK

    Creates an asynchronous generation job for a single SDK (in one language) from a collection or specification. To get the status of an SDK's generation, use the GET /sdks/{sdkId} endpoint and track its buildStatus.

  • Destructive

    Update an SDK Git connection

    Updates the Git connection's lifecycle status: - active — Connects or reconnects the repository. All auto-update pull requests resume. - disconnected — Disconnects the repository, and no further auto-update pull requests are opened.

  • Destructive

    Delete an SDK

    Deletes an SDK record and its stored archive. On success, this returns a 204 No Content response. Note: You can't use this endpoint to cancel a generation job that's still in progress.

Search

  • Read

    Search Postman

    Searches Postman for resources such as workspaces, collections, requests, and other resource types. You can filter results by ownership, visibility, tags, and other criteria.

Secret Scanner

  • Read

    Get detected secrets locations

    Gets the locations of secrets detected by Postman's Secret Scanner.

  • Read

    Search detected secrets

    Returns all secrets detected by Postman's Secret Scanner, grouped by workspace or resource. If you pass an empty request body, this endpoint returns all results.

  • Read

    Get secret types

    Gets the metadata of the secret types supported by Postman's Secret Scanner. You can use a secret type's ID in the response to query data with the POST /detected-secrets/{secretId} endpoint.

  • Destructive

    Update detected secret resolution status

    Updates the resolution status of a secret detected in a workspace.

Specs

  • Read

    Get a spec file

    Gets the contents of an API specification's file.

  • Read

    Get a spec's files

    Gets all the files in an API specification.

  • Read

    Get a spec's generated collections

    Gets all of an API specification's generated collections.

  • Read

    Get generated spec

    Gets the API specification generated for the given collection.

  • Read

    Get a version tag

    Gets information about a specification's version tag. The response returns a snapshot of a specification at a point in time that lets you track changes to your specifications over time.

  • Read

    Get a specification's version tags

    Gets a list of a specification's version tags.

  • Read

    Get a spec

    Gets information about an API specification.

  • Read

    Get all specs

    Gets all API specifications in a workspace.

  • Read

    Get a spec's definition

    Gets the complete contents of an OpenAPI or AsyncAPI specification's definition.

  • Read

    Get status of an async spec task

    Gets the status of an asynchronous API specification creation task.

  • Read

    Get status of API Builder to Spec Hub migration

    Returns the status of an API Builder definition’s migration to Spec Hub.

  • Write

    Create a spec file

    Creates a file for OpenAPI specifications and protobuf 2 and 3 specifications. Note: - If the file path contains a / (forward slash) character, then a folder is created.

  • Write

    Update a spec file

    Updates a file for an OpenAPI specifications and protobuf 2 and 3 specifications. Note: - This endpoint does not accept an empty request body. You must pass one of the accepted values. - This endpoint does not accept multiple request body properties in a single call.

  • Write

    Generate a collection from spec

    Creates a collection from the given OpenAPI 2.0, 3.0, 3.1 specification or Smithy specification. The response contains a polling link to the task status.

  • Write

    Generate spec from collection

    Generates an OpenAPI 2.0, 3.0, or 3.1 specification for the given collection. The response contains a polling link to the task status.

  • Write

    Create a version tag

    Creates a version tag for a specification. Version tags are snapshots of a specification at a point in time that let you to track changes to your specifications over time.

  • Write

    Create a spec

    Creates an API specification in Postman's Spec Hub. Specifications can be single or multi-file. Note: - Postman supports OpenAPI (2.0, 3.0, and 3.1), AsyncAPI (2.0 and 3.0), protobuf (2 and 3), GraphQL, and Smithy specifications.

  • Write

    Update a spec's properties

    Updates an API specification's properties, such as its name.

  • Write

    Update spec sync options

    Updates the sync options for a specification's generated collection.

  • Write

    Migrate API Builder API to Spec Hub

    Migrates an API Builder definition to a Spec Hub specification. You can migrate the definition to an existing workspace, or create a new workspace to migrate the definition into. On success, this returns an HTTP 202 Created response.

  • Destructive

    Delete a spec file

    Deletes a file in an API specification. On success, this returns an HTTP 204 No Content response.

  • Destructive

    Sync collection with spec

    Syncs a collection generated from an API specification. This is an asynchronous endpoint that returns an HTTP 202 Accepted response. Note: - This endpoint only supports the OpenAPI 2.0, 3.0, and 3.1 specification types.

  • Destructive

    Sync spec with collection

    Syncs an API specification linked to a collection. This is an asynchronous endpoint that returns an HTTP 202 Accepted response. Note: - This endpoint only supports the OpenAPI 2.0, 3.0, and 3.1 specification types. - You can only sync specs generated from the given collection ID.

  • Destructive

    Delete a spec

    Deletes an API specification. On success, this returns an HTTP 204 No Content response.

Tags

  • Read

    Get elements by tag

    Gets Postman elements (entities) by a given tag. Tags enable you to organize and search workspaces and collections that contain shared tags. Note: Tagging is available on Postman Solo , Team , and Enterprise plans plans.

Teams

  • Read

    Get a team's access requests

    Gets a team's pending access requests.

  • Read

    Get a team's settings

    Gets a team's settings.

  • Read

    Get a team

    Gets information about a Postman team.

  • Read

    Get all teams

    Gets all Postman teams in your organization.

  • Write

    Create an access request

    Creates an access request for a team. Access requests include actions such as request to join a team, upgrading a user's role, adding members, and requesting team role access to another team.

  • Write

    Approve or deny an access request

    Approve or deny a team's access request.

  • Write

    Manage team member roles

    Adds or removes roles in groups, teams, organizations, as well as individual users' roles. Note: If you remove a role from a group or team, then all members lose the that role's permissions.

  • Write

    Create a team

    Creates a Postman team in your organization.

  • Destructive

    Update team settings

    Updates a team's settings.

  • Destructive

    Remove team members

    Removes entities, such as users or organizations, from your Postman team. On success, this returns an HTTP 204 No Content response.

Users

  • Read

    Get authenticated user

    Gets information about the authenticated user. Note: - This API returns a different response for users with the Guest and Partner roles. - The flowcount response only returns for users on Free plans.

  • Read

    Get all team users

    Gets information about all users on the Postman team.

  • Read

    Get a team user

    Gets information about a user on the Postman team.

Groups

  • Read

    Get all groups

    Gets all of a team's Postman groups.

  • Read

    Get a group

    Gets information about a Postman user group.

Webhooks

  • Write

    Create a webhook

    Creates a webhook that triggers a collection with a custom payload. You can get the webhook's URL from the webhookUrl property in the endpoint's response.

Workspaces

  • Read

    Get a workspace's activity feed

    Gets a workspace's activity feed. Activity feeds return information about who added or removed collections, environments, or elements from a workspace, and users that join or leave a workspace.

  • Read

    Get global variables

    Gets a workspace's global variables. Global variables enable you to access data between collections, requests, scripts, and environments and are available throughout a workspace.

  • Read

    Get all roles

    Gets information about all roles in a workspace, based on the team's plan.

  • Read

    Get a workspace's roles

    Gets the roles of users, user groups, and partners in a workspace. Note: Partner roles don't support SCIM IDs.

  • Read

    Get a workspace's tags

    Gets all the tags associated with a workspace.

  • Read

    Get all workspace updates

    Gets a list of workspace updates for the given workspace.

  • Read

    Get a workspace update

    Gets information about a workspace update.

  • Read

    Get a workspace

    Gets information about a workspace. Note: This endpoint's response also contains the visibility field. Visibility determines who can access the workspace: - personal — Only you can access the workspace. - team — All team members can access the workspace.

  • Read

    Get all workspaces

    Gets all workspaces. The response includes your workspaces and any workspaces that you have access to. Note: This endpoint's response contains the visibility field. Visibility determines who can access the workspace: - personal — Only you can access the workspace.

  • Write

    Update workspace roles

    Updates the roles of users, user groups, or partners in a workspace. To get a list of roles, use the GET /workspace-roles endpoint. Note: - User groups are available on Postman Enterprise plans.

  • Write

    Transfer element to a workspace

    Transfers a Postman element from one workspace to another workspace. Supported elements include collections, environments, mocks, monitors, and Flows modules and actions.

  • Write

    Create a workspace update

    Creates a workspace update in the given workspace. Workspace updates keep workspace watchers informed about changes, such as new features, bug fixes, breaking changes, and announcements.

  • Write

    Update a workspace update

    Updates a workspace update. Note: This endpoint requires the application/merge-patch+json Content-Type header.

  • Write

    Create a workspace

    Creates a new workspace. Note: - This endpoint returns a 403 Forbidden response if the user does not have permission to create workspaces.

  • Write

    Manage Partner Workspace invites

    Manages invitations and access to your team's Partner Workspaces. You can use this endpoint to: - Send Partner Workspace invitations to the given email addresses. Users who already exist in the partnership are added directly, while new users receive an invitation email.

  • Write

    Transfer workspace to a team

    Transfers a workspace from one team (source) to another team (destination). Note: - This endpoint is only available with Postman Enterprise plans with Postman Organizations enabled. - Team user roles are modified when workspaces are transferred.

  • Destructive

    Update global variables

    Updates and replaces a workspace's global variables. This endpoint replaces all existing global variables with the variables you pass in the request body.

  • Destructive

    Update a workspace's tags

    Updates a workspace's associated tags. This endpoint replaces all existing tags with those you pass in the request body. Note: - You can only add a maximum of five tags to an API. - Tags must be between 2 and 64 characters long.

  • Destructive

    Delete a workspace update

    Deletes a workspace update. On success, this returns an HTTP 204 No Content response.

  • Destructive

    Update a workspace

    Updates a workspace's property, such as its name or visibility. Note: - This endpoint does not support the following workspace visibility changes: - private to public, public to private, and private to personal for Free and Solo plans. - public to personal for team users only.

  • Destructive

    Delete a workspace

    Deletes an existing workspace.

DEPRECATED

  • Read

    Get a schema

    This endpoint is deprecated in Postman v10 and higher. Gets information about an API's definition.

  • Read

    Get schema files

    Gets the files in an API schema. You can use the versionId query parameter to get schema files published in an API version. Note: The versionId query parameter is a required parameter for API viewers.

  • Read

    Get schema file contents

    Gets an API schema file contents at the defined path. You can use the versionId query parameter to get schema file contents published in an API version. Note: The versionId query parameter is a required parameter for API viewers.

  • Read

    Get all versions

    Gets all the published versions of an API.

  • Read

    Get a version

    Gets information about an API version. Note: - For API editors, this endpoint returns an HTTP 302 Found status code when the version status is pending. It also returns the /apis/{apiId}/tasks/{taskId} task status response header.

  • Read

    Get a collection's comments

    Gets all comments left by users in an API's collection.

  • Read

    Get a collection

    Gets a collection attached to an API. You can use the versionId query parameter to get a collection published in a version. Note: - You cannot use this endpoint to get a Git-linked API collection.

  • Read

    Get an API's tags

    Gets all the tags associated with an API.

  • Read

    Get an API's comments

    Gets all comments left by users in an API.

  • Read

    Get all APIs

    Gets information about all APIs.

  • Read

    Get an API

    Gets information about an API.

  • Read

    Get status of an asynchronous task

    Gets the status of an asynchronous task.

  • Read

    Get all element add requests

    Gets a list requests to add elements to your team's Private API Network.

  • Read

    Get all elements and folders

    Gets information about the folders and elements added to your team's Private API Network. Elements are APIs, collections, and workspaces. Note: The limit and offset parameters are separately applied to elements and folders.

  • Read

    Get all API versions

    Gets information about an API's versions. In Postman v9 and earlier: When you create an API, the system creates a single, default API version. You can use this version’s ID with any endpoints that require an API version ID.

  • Read

    Get an API version

    Gets information about an API version. In Postman v9 and earlier: When you create an API, the system creates a single, default API version. You can use this version’s ID with any endpoints that require an API version ID.

  • Read

    Get unclassified relations

    This endpoint is for Postman v10 and higher. Gets all of an API version's unclassified relations. Unclassified relations are used for documentation and testing. This is the default relation type.

  • Read

    Get monitor relations

    This endpoint is deprecated in Postman v10 and higher. Gets an API version's monitor relations.

  • Read

    Get documentation relations

    This endpoint is deprecated in Postman v10 and higher. Gets an API version's documentation relations.

  • Read

    Get integration test relations

    This endpoint is deprecated.

  • Read

    Get test suite relations

    This endpoint is deprecated.

  • Read

    Get all linked relations

    Gets all of an API version's relations. Note: In Postman v10 and higher, this endpoint returns the following: - The unclassified relation is for documentation and testing. This is the default relation type. - The apiDefinition relation is the relation used for API definitions.

  • Read

    Get all test relations

    This endpoint is deprecated in Postman v10 and higher. Gets all of an API version's test relations.

  • Read

    Get environment relations

    This endpoint is deprecated in Postman v10 and higher. Gets an API version's environment relations.

  • Read

    Get contract test relations

    This endpoint is deprecated.

  • Read

    Get an API release

    This endpoint is deprecated in Postman v10 and higher. Gets information about an API version's release.

  • Read

    Get all API releases

    This endpoint is deprecated in Postman v10 and higher. Gets information about all of an API version's releases.

  • Write

    Create a schema

    This endpoint is deprecated in Postman v10 and higher. Creates an API definition. The request body must contain a schema object with the following properties: - type — A string value that contains the API definition's type.

  • Write

    Create a version

    Creates a new API version asynchronously and immediately returns an HTTP 202 Accepted response. The response contains a polling link to the task status API in the Location header.

  • Write

    Create a collection comment

    Creates a comment on an API's collection. To create a reply on an existing comment, include the threadId property in the request body. Include the following in request body: - body — (Required) A string that contains the comment.

  • Write

    Add a collection

    Adds a collection to an API. To do this, use the following operationType values: - COPYCOLLECTION — Copies a collection from the workspace and adds it to an API. - CREATENEW — Creates a new collection by providing the new collection's content.

  • Write

    Create an API comment

    Creates a comment on an API. Include the following in request body: - body — (Required) A string that contains the comment. - threadId — An integer that contains the comment's thread ID. - tags — An object that contains information about users tagged in the body comment.

  • Write

    Create an API

    Creates an API. Include the following properties in the api object: name — A string value that contains the API's name. You can include the following optional properties: summary — A string value that contains a summary of the API.

  • Write

    Merge a collection fork

    This endpoint is deprecated. Merges a forked collection back into its parent collection. You must have the Editor role for the collection to merge a fork.

  • Write

    Import an exported Postman data dump file

    This endpoint is deprecated. Imports exported Postman data. This endpoint only accepts export data dump files. For more information, read our Exporting data dumps documentation.

  • Write

    Generate a tool

    Generates code for an AI agent tool using a collection and request from the Public API Network. For more information, see Tool Generation Demo in Postman's Public API Network.

  • Write

    Add an element or folder

    Publishes a element or creates a folder in your team's Private API Network. An element is a Postman API, collection, or workspace. In the elementType object, include the following values: For APIs and Workspaces: - id — A string value that contains the element's ID.

  • Write

    Create an API version

    This endpoint is deprecated in Postman v10 and higher. Creates a new API version. Include the following request body properties in the version object: - name — Required. A string that contains the API version's name.

  • Write

    Create relations

    Creates a new relation for an API version. Include the following in the request body: - relationType — An array that contains entity relations. The key value for this array must be the unclassified value.

  • Write

    Create a collection from a schema

    This endpoint is deprecated in Postman v10 and higher. Creates a collection and links it to an API as one or multiple relations. Include the following properties in the request body: - name — A string that contains the name of the collection.

  • Write

    Create an API release

    This endpoint is deprecated in Postman v10 and higher. Creates a new API version release. Include the following properties in the release object: - name — A string value that contains the release name. - visibility — A string value that contains the release's visibility.

  • Write

    Update an API release

    This endpoint is deprecated in Postman v10 and higher. Updates an API version's release. Include at least one of the following properties in the release object: - name — A string value that contains the release name.

  • Destructive

    Create or update a schema file

    Creates or updates an API schema file. Include the following in the request body: - content — A string value that contains the schema file's stringified contents. Note: - If the provided file path exists, the file is updated with the new contents.

  • Destructive

    Delete a schema file

    Deletes a file in an API schema. On success, this returns an HTTP 204 No Content response.

  • Destructive

    Update a version

    Updates an API version. Include at least one of the following properties in the request body: - name — A string value that contains the version name. - releaseNotes — A string value that contains the Markdown-supported release notes.

  • Destructive

    Delete a version

    Deletes an API version. On success, this returns an HTTP 204 No Content response. Note: This endpoint returns an HTTP 404 Not Found response when an API version is pending publication.

  • Destructive

    Update a collection's comment

    Updates a comment on an API's collection. Include the following in request body: - body — (Required) A string that contains the updated comment. - tags — An object that contains information about users tagged in the body comment.

  • Destructive

    Delete a collection's comment

    Deletes a comment from an API's collection. On success, this returns an HTTP 204 No Content response. Note: Deleting the first comment of a thread deletes all the comments in the thread.

  • Destructive

    Sync collection with schema

    Syncs a collection attached to an API with the API schema. This is an asynchronous endpoint that returns an HTTP 202 Accepted response. The response contains a polling link to the /apis/{apiId}/tasks/{taskId} endpoint in the Location header.

  • Destructive

    Update an API's tags

    Gets all the tags associated with an API. This endpoint replaces all existing tags with those you pass in the request body. Note: - You can only add a maximum of five tags to an API. - Tags must be between 2 and 64 characters long.

  • Destructive

    Update an API's comment

    Updates a comment on an API. Include the following in request body: - body — (Required) A string that contains the updated comment. - tags — An object that contains information about users tagged in the body comment.

  • Destructive

    Delete an API's comment

    Deletes a comment from an API. On success, this returns an HTTP 204 No Content response. Note: Deleting the first comment of a thread deletes all the comments in the thread.

  • Destructive

    Update an API

    Updates an API. Include at least one of the following properties in the api object: name — A string value that contains the API's name. summary — A string value that contains a summary of the API. description — A string value that contains the description of the API.

  • Destructive

    Delete an API

    Deletes an API.

  • Destructive

    Respond to an element add request

    Responds to a user's request to add an element to your team's Private API Network. Include the following in the request body: - message — A string value in a response object that contains a message that details why the user's request was denied.

  • Destructive

    Update an element or folder

    Updates an element or folder in your team's Private API Network. When you call this endpoint, the elementType property must be the api, folder, collection, or workspace value. The elementId value is the api, folder, or workspace element's ID.

  • Destructive

    Remove an element or folder

    Removes an element or delete a folder from your team's Private API Network. Note: Removing an API, collection, or workspace element does not delete it. It only removes it from the Private API Network folder.

  • Destructive

    Update an API version

    This endpoint is deprecated in Postman v10 and higher. Updates an API version. Include the following request body properties in the version object: - name — A string that contains the API version's name.

  • Destructive

    Delete an API version

    This endpoint is deprecated in Postman v10 and higher. Deletes an API version.

  • Destructive

    Sync API relations with definition

    Syncs an API version's relation with the API's definition.

  • Destructive

    Update a schema

    This endpoint is deprecated in Postman v10 and higher. Updates an API definition. The request body must contain a schema object with the following properties: - type — A string value that contains the API definition's type.

  • Destructive

    Delete an API release

    This endpoint is deprecated in Postman v10 and higher. Deletes an API version's release.

See How connections work for access and permissions, or browse all integrations.